CSL Pay Developers

List Financial Institutions

GET /remittance-middleware/list/financial/institutions

The List Financial Institutions endpoint is used to retrieve a list of financial institutions that are supported by the CSL Pay remittance middleware. A partner would call this endpoint when they need to determine which financial institutions are available for payout transactions. The endpoint returns a list of financial institutions, each with associated country code information.

Request body (optional)

This endpoint accepts a body with no declared schema.

Response 200

An array of objects. Each item has these fields:
  • financialInstitutionCode string
  • financialInstitutionName string
  • countryCode object10 fields
    • countryCode string
    • countryName string
    • status boolean
    • isSenderCountry boolean
    • isReceiverCountry boolean
    • timeMode string
    • currencyResponse object5 fields
      • alphabeticCurrencyISOCode string
      • numericCurrencyISOCode string
      • minorUnit integer
      • currencyName string
      • status boolean
    • fixedWindowDurationInHours integer
    • accountNumberIsFixedLength boolean
    • accountNumberLength integer
  • institutionCode string
  • status boolean
  • mobileMoney boolean

Errors

StatusMeaning
400 Failed to Retrieve Financial Institutions